Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webrender.output
Class CssStyle

    java.lang.Object
      nextapp.echo2.webrender.output.CssStyle

Direct Known Subclasses:
  CssStyleEx

    public class CssStyle

extends java.lang.Object

A renderable representation of a single CSS style.

Constructor Summary
`CssStyle()`

Method Summary
`java.lang.String` | `getAttribute(java.lang.String attributeName)` Retrieves a style attribute value.
`boolean` | `hasAttributes()` Determines if any attributes are set.
`java.lang.String` | `renderInline()` Renders the style inline.
`void` | `setAttribute(java.lang.String attributeName, java.lang.String attributeValue)` Sets a style attribute value.
`java.lang.String` | `toString()` Renders a debug representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CssStyle

    public CssStyle()

Method Detail

### getAttribute

    public java.lang.String getAttribute(java.lang.String attributeName)

  Retrieves a style attribute value.

  Parameters:
    `attributeName` - the name of the attribute
  Returns:
    the value of the attribute (null if it is not set)

### hasAttributes

    public boolean hasAttributes()

  Determines if any attributes are set.

  Returns:
    true if any attributes are set.

### setAttribute

    public void setAttribute(java.lang.String attributeName,
                             java.lang.String attributeValue)

  Sets a style attribute value.

  Parameters:
    `attributeName` - the name of the attribute.
    `attributeValue` - the value of the attribute.

### renderInline

    public java.lang.String renderInline()

  Renders the style inline. The returned value is suitable as the value of the "style" attribute of an HTML element.

  Returns:
    the inline representation

### toString

    public java.lang.String toString()

  Renders a debug representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD